Index: apps/app_meetme.c
===================================================================
--- apps/app_meetme.c	(revision 319583)
+++ apps/app_meetme.c	(working copy)
@@ -5774,15 +5774,15 @@
 static void sla_handle_hold_event(struct sla_event *event)
 {
 	ast_atomic_fetchadd_int((int *) &event->trunk_ref->trunk->hold_stations, 1);
-	event->trunk_ref->state = SLA_TRUNK_STATE_ONHOLD_BYME;
-	ast_devstate_changed(AST_DEVICE_ONHOLD, "SLA:%s_%s", 
-		event->station->name, event->trunk_ref->trunk->name);
-	sla_change_trunk_state(event->trunk_ref->trunk, SLA_TRUNK_STATE_ONHOLD, 
-		INACTIVE_TRUNK_REFS, event->trunk_ref);
 
 	if (event->trunk_ref->trunk->active_stations == 1) {
 		/* The station putting it on hold is the only one on the call, so start
-		 * Music on hold to the trunk. */
+		 * all the hold stuff */
+		event->trunk_ref->state = SLA_TRUNK_STATE_ONHOLD_BYME;
+		ast_devstate_changed(AST_DEVICE_ONHOLD, "SLA:%s_%s", 
+			event->station->name, event->trunk_ref->trunk->name);
+		sla_change_trunk_state(event->trunk_ref->trunk, SLA_TRUNK_STATE_ONHOLD, 
+			INACTIVE_TRUNK_REFS, event->trunk_ref);
 		event->trunk_ref->trunk->on_hold = 1;
 		ast_indicate(event->trunk_ref->trunk->chan, AST_CONTROL_HOLD);
 	}
